obj-m += fanmod.o
fanmod-objs := fan.o envUtils.o

ifeq ($(AUTONOMY), 1)
# Specific configuration for AUTONOMY group
# this allow to alter the value of the different variables
# used by make when AUTONOMY variable has been set to 1
# on the calling shell  
-include ../../autonomy.make # this file contains the general
                       # modifications we want to apply to
                       # all the modules 

# following line are more specific to this file 

# end of AUTONOMY specific
endif 

all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

install: all
	cp fanmod.ko /lib/modules/2.6.13/kernel/drivers/misc/

app:
	gcc -g -o fan_test_app fan_app.c fanIOCtls.c
	
clean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean
